[Q] HTC Incredible S + Accessory Development Kit (ADK)

Hi XDA.
I am new to this forum but have been working with Android devices and application development for about a year.
Recently I switched phone and bought the HTC Incredible S.
Besides of the phone development I have an electronics consultancy company doing different development jobs and electronics hardware reviews.

This week we got the Arduino MEGA ADK to review but I am unable to install the DemoKit application on my phone.

This is the log from Eclipse:

Code:
Installation error: INSTALL_FAILED_MISSING_SHARED_LIBRARY E/PackageManager(1448): Package com.google.android.DemoKit requires unavailable shared library com.android.future.usb.accessory; failing!

This seems like a problem regarding the missing Google API on the phone. Though the phone is currently running Android 2.3.5 with Kernel version 2.6.35.9.
After a Google search it seemed like the Google API was first included in the kernel version at and above 2.6.35 - but then why doesn't it work.

My question is if HTC have removed this from the Kernel?
And what can I do to get the Google API to my phone so I can use it with the ADK?


Best Regards
Thomas Jespersen

Show Accepted Answer

Guest Quick Reply (No URL, BBcode or HTML)

Last post by norval85
1 hour ago
Last post by chayes
1 hour ago
Last post by nickolas.littel
1 hour ago
Last post by qjacobi
15 minutes ago
Last post by carleton74
2 hours ago
Last post by iwaters
17 minutes ago
Last post by kklocko
1 hour ago
Last post by bert.carroll
4 hours ago
Last post by sid.heller
2 hours ago
Runtime Blues
Started by pkuvalis
Last post by llang
1 hour ago
Last post by marks.valerie
4 hours ago